import React from 'react';
import type { AnySchema } from 'yup';
import { Errors } from './types';
import { ValidationPathSpec } from './errorManager';
export interface FormActions {
    getSchemaForPath: (name?: string) => AnySchema | undefined;
    yupContext: any;
    onSubmit: () => void;
    onValidate: (fields: Array<ValidationPathSpec | string>, event: string, args: any[]) => void;
    onFieldError: (name: string, errors: Errors) => void;
    formHasValidation: () => boolean;
}
export declare const BITS: {
    errors: number;
    touched: number;
    actions: number;
    submits: number;
};
export interface FormContextValue {
    touched: Record<string, boolean>;
    errors: Errors;
    actions: FormActions;
    submits: {
        submitCount: number;
        submitAttempts: number;
        submitting: boolean;
    };
}
export declare const FormContext: React.Context<FormContextValue>;
export declare const useFormContext: (observedBits: number) => any;
